<?php
	$currDir = dirname(__FILE__);
	include("$currDir/nel.php");
	include("$currDir/defaultLang.php");
	include("$currDir/language.php");
	include("$currDir/lib.php");

	include_once("$currDir/header.php");

	/* grant access to all users who have access to the facture table */
	$order_from = get_sql_from('location_vh');
	if(!$order_from) exit(error_message('Access denied!', false));

	/* get invoice */
	$order_id = intval($_REQUEST['idlocation']);
	if(!$order_id) exit(error_message('Invalid invoice ID!', false));
	
	/* retrieve facturations info */
	$order_fields = get_sql_fields('location_vh');
	$res = sql("select {$order_fields} from {$order_from} and idlocation={$order_id}", $eo);
	if(!($order = db_fetch_assoc($res))) exit(error_message('Invoice not found!', false));
	
	
	//var_dump($order);
	
	/* retrieve order items */
	$items = array();
	$order_total = 0;
	$item_fields = get_sql_fields('liste_location');
	$item_from = get_sql_from('liste_location');
	$res = sql("select {$item_fields} from {$item_from} and liste_location.link_location={$order_id}", $eo);
	while($row = db_fetch_assoc($res)){
		$row['LineTotal'] = str_replace('$', '', $row['prix_unitaire']) * $row['qts'];
		$items[] = $row;
		$order_total += $row['LineTotal'];
	}

	
	//var_dump($items);
	
	?>
	<html>

		<head>
			<title></title>
			<style type="text/css" media="print">
				input.imprimer {
					display: none;
				}
		#bas {
				position: fixed;
			bottom: 0;
			width: 100%;
		}
			</style>

		</head>

<body>

    <form method="POST" action="">

        <input type="button" value="Imprimer" class="imprimer" name="bnom" onClick="javascript:window.print()">
    </form>

</body>

	</html>
	
		<img id="img1" src="images/marega.png" alt="edpto" style="width: 80px; float: right;">
	
	<h3>MAREGA VOYAGES</h3>

	<p>Tél. + 221 33 842 33 93 | 33 842 87 11</p>
	<p>Web. http://maregavoyages.com<br>Email. infos@maregavoyages.com</p>
	<hr>
<div class="row">
    <div class="col-sm-6">
        <!-- customer info -->
        <h5>CLIENT : <?php echo $order['client']; ?></h5>
    </div>
    <div class="col-sm-6 text-right">
        <!-- invoice info -->
        <h1></h1>
        <h5>Date : <?php echo $order['date_saisie']; ?></h5>
        <center>
            <bold>
                <h2>FACTURE N° <?php echo $order['num_facture']; ?>/<?php echo date('Y');?></h2></h2>
            </bold>
        </center>
    </div>
</div>

<hr>

<!-- order items -->
<table class="table table-striped table-bordered">
    <thead>
        <th class="text-center">#</th>
        <th>VEHICULE</th>
        <th>DATE LOCATION</th>
        <th>DATE FIN LOCATION</th>
        <th class="text-center">P.UNITAIRE</th>
        <th class="text-center">QTS</th>
        <th class="text-center">P.TOTAL</th>
    </thead>

    <tbody>
        <?php foreach($items as $i => $item){ ?>
        <tr>
            <td class="text-center"><?php echo ($i + 1); ?></td>
            <td><?php echo $item['vehicule']; ?></td>
            <td><?php echo $item['date_location']; ?></td>
            <td><?php echo $item['date_fin_location']; ?></td>
            <td class="text-center"><?php echo $item['prix_unitaire']; ?></td>
            <td class="text-center"><?php echo number_format($item['qts'], 0, ',', ' '); ?></td>
            <td class="text-right"><?php echo number_format($item['LineTotal'], 0, ',', ' '); ?></td>
        </tr>
        <?php } ?>
    </tbody>

    <tfoot>


        <tr>
            <th colspan="6" class="text-right">TOTAL</th>
            <th class="text-right"> <?php echo number_format($order_total + $order['Freight'], 0, ',', ' '); ?></th>
        </tr>
    </tfoot>
</table>
<span id="in-words"><b>Arrêté la présente facture à la somme de:</b></span>
<?php
include_once('nel.php');
echo enlettres("$order_total");
?>
<span id="in-words"><b> fcfa</b></span>

	<div id="bas">
	<center>
		<p>
		<hr>
			32, Rue de Reims x Malick SY - BP : 7905 Médina Dakar - Tél : 00221 33 842 33 93 - 33 842 87 11<br>
			Fax : 00221 33 842 39 01 - Antenne Mermoz 2ème porte - Tél : 00221 33 824 48 89<br>
			http://www.maregavoyages.com - Email : infos@maregavoyages.com
		</p>
	</center>
	</div>

<?php

	include_once("$currDir/footer.php");

?>
